/***************************************************************************
 *
 * knetworkmanager-vpnplugin.cpp - A NetworkManager frontend for KDE 
 *
 * Copyright (C) 2006 Novell, Inc.
 *
 * Author: Helmut Schaa <hschaa@suse.de>, <helmut.schaa@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#include <tqwidget.h>

#include "knetworkmanager-vpnplugin.h"

/***********************
*	class VPNConfigWidget
***********************/

VPNConfigWidget::~VPNConfigWidget()
{

}

VPNConfigWidget::VPNConfigWidget(TQWidget* parent, const char* name)
	: TQWidget(parent, name)
{

}

void VPNConfigWidget::setVPNData(const TQStringList& /*routes*/, const TQMap<TQString, TQString>& /*properties*/)
{

}

TQMap<TQString, TQString> VPNConfigWidget::getVPNProperties()
{
	return TQMap<TQString, TQString>();
}

TQStringList VPNConfigWidget::getVPNRoutes()
{
	return TQStringList();
}

bool VPNConfigWidget::hasChanged()
{
	return true;
}

bool VPNConfigWidget::isValid(TQStringList& /*err_msg*/)
{
	return true;
}

/******************************
*	class VPNAuthentiactionWidget
******************************/

VPNAuthenticationWidget::VPNAuthenticationWidget(TQWidget* parent, const char* name)
	: TQWidget(parent, name)
{

}

VPNAuthenticationWidget::~VPNAuthenticationWidget()
{

}

TQMap<TQString, TQString> VPNAuthenticationWidget::getPasswords()
{
  return TQMap<TQString, TQString>();
}

void VPNAuthenticationWidget::setPasswords(TQString name, TQString value)
{

}

void VPNAuthenticationWidget::setVPNData(const TQStringList& /*routes*/, const TQMap<TQString, TQString>& /*properties*/)
{

}

bool VPNAuthenticationWidget::needsUserInteraction()
{
	return true;
}

/****************
*	class VPNPlugin
****************/
VPNPlugin::VPNPlugin(TQObject* parent, const char* name, const TQStringList& args)
	: Plugin(parent, name, args)
{

}

VPNPlugin::~VPNPlugin()
{

}

VPNConfigWidget* VPNPlugin::CreateConfigWidget(TQWidget*)
{
	return NULL;
}

VPNAuthenticationWidget* VPNPlugin::CreateAuthenticationWidget(TQWidget*)
{
	return NULL;
}

#include "knetworkmanager-vpnplugin.moc"
